Skip to content
緊急地震速報プログラム – Desktop Earthquake Warnings
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
src
.gitignore
.jshintrc
.travis.yml
LICENSE
README.md
gulpfile.js
package.json

README.md



Shake



An Earthquake Early Warning program for your computer.<br>
あなたのコンピュータのための緊急地震速報

Installation

Prerequisites

Node.js >= v4 is required. Minimum 2GB of System Memory is also recommended.
Shake supports Mac OS X >= 10.8 and Ubuntu >= 14.04 based Linux distributions.
Windows >= 7 is some-what supported, with no guarantee of working.

Download a Binary

Nightly beta builds are available here.
All builds are stable to an extent, this software is still in beta.

Nightly Builds have been removed due to financial constraints, we'll instead be releasing new versions through GitHub Releases as per each Stable update. For now, please refer to the Manual Install or Build sections below.

Manual Install
  1. cd ~/.../shake
  2. git clone https://github.com/lumios/shake.git
  3. cd ~/.../shake/src
  4. npm install
Run
  1. cd ~/.../shake/src
  2. npm start
Build
  1. cd ~/.../shake
  2. npm install
  3. npm install gulp -g
  4. gulp build:[platform]

Platforms: ['mac', 'win32', 'win64', 'linux32', 'linux64', 'arm']

Running gulp without specifying a build-type will build for all the platforms listed above.

Screenshots


Legal

Copyright (c) 2016 Lumios – All Rights Reserved.

You can use, modify, or copy this software, so long
as you don't redistribute it without explicit permission.

This software is provided "as is", without warranty of any kind.
The authors or copyright holders of this software cannot be held
liable for any claim, damages, or other liability arising from
the use of this software.

Thanks! (^o^//
You can’t perform that action at this time.